<template>
    <div class="support-chat">
        <h1>投诉中心</h1>
        <p>如果您有任何问题，请联系我们。</p>
        <p>请点击右下角按钮联系相关人员</p>
    </div>
</template>

<script setup>
onMounted(() => {
    // 插入客服脚本
    (function (d, t) {
        var BASE_URL = "https://service.quannengcha.com";
        var g = d.createElement(t),
            s = d.getElementsByTagName(t)[0];
        g.src = BASE_URL + "/packs/js/sdk.js";
        g.defer = true;
        g.async = true;
        s.parentNode.insertBefore(g, s);
        g.onload = function () {
            window.chatwootSDK.run({
                websiteToken: "XJqwnEWKVNte8iJW8DLroEzd",
                baseUrl: BASE_URL,
            });
        };
    })(document, "script");
});
</script>

<style scoped>
.support-chat {
    text-align: center;
    padding: 20px;
    padding-top: 100px;
}

.support-chat h1 {
    font-size: 28px;
    color: #005a9e;
    margin-bottom: 10px;
}

.support-chat p {
    font-size: 16px;
    color: #333;
}
</style>
